edu.ucsb.nceas.metacat.dataone.v1

## Class CNodeService

- java.lang.Object
- - edu.ucsb.nceas.metacat.dataone.v1.CNodeService

- All Implemented Interfaces:
    org.dataone.service.cn.v1.CNAuthorization, org.dataone.service.cn.v1.CNCore, org.dataone.service.cn.v1.CNRead, org.dataone.service.cn.v1.CNReplication

      public class CNodeService
      extends java.lang.Object
      implements org.dataone.service.cn.v1.CNAuthorization, org.dataone.service.cn.v1.CNCore, org.dataone.service.cn.v1.CNRead, org.dataone.service.cn.v1.CNReplication

  Represents Metacat's implementation of the DataONE Coordinating Node service API. Methods implement the various CN* interfaces, and methods common to both Member Node and Coordinating Node interfaces are found in the D1NodeService super class.

- - ### Field Summary

    - ### Fields inherited from interface org.dataone.service.cn.v1.CNCore

      `SERVICE_VERSION`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.dataone.service.types.v1.Identifier` | `archive(org.dataone.service.types.v1.Identifier pid)`
    `org.dataone.service.types.v1.Identifier` | `archive(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.Identifier pid)` Deprecated.
    `org.dataone.service.types.v1.Identifier` | `create(org.dataone.service.types.v1.Identifier pid, java.io.InputStream object, org.dataone.service.types.v1.SystemMetadata sysmeta)`
    `org.dataone.service.types.v1.Identifier` | `create(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.Identifier pid, java.io.InputStream object, org.dataone.service.types.v1.SystemMetadata sysmeta)` Deprecated.
    `org.dataone.service.types.v1.Identifier` | `delete(org.dataone.service.types.v1.Identifier pid)`
    `org.dataone.service.types.v1.Identifier` | `delete(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.Identifier pid)` Deprecated.
    `boolean` | `deleteReplicationMetadata(org.dataone.service.types.v1.Identifier pid, org.dataone.service.types.v1.NodeReference nodeId, long serialVersion)`
    `boolean` | `deleteReplicationMetadata(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.Identifier pid, org.dataone.service.types.v1.NodeReference nodeId, long serialVersion)` Deprecated.
    `org.dataone.service.types.v1.DescribeResponse` | `describe(org.dataone.service.types.v1.Identifier pid)`
    `org.dataone.service.types.v1.DescribeResponse` | `describe(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.Identifier pid)` Deprecated.
    `org.dataone.service.types.v1.Identifier` | `generateIdentifier(org.dataone.service.types.v1.Session session, java.lang.String scheme, java.lang.String fragment)` Deprecated.
    `org.dataone.service.types.v1.Identifier` | `generateIdentifier(java.lang.String scheme, java.lang.String fragment)`
    `java.io.InputStream` | `get(org.dataone.service.types.v1.Identifier pid)`
    `java.io.InputStream` | `get(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.Identifier pid)` Deprecated.
    `org.dataone.service.types.v1.Checksum` | `getChecksum(org.dataone.service.types.v1.Identifier pid)`
    `org.dataone.service.types.v1.Checksum` | `getChecksum(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.Identifier pid)` Deprecated.
    `org.dataone.service.types.v1.ObjectFormat` | `getFormat(org.dataone.service.types.v1.ObjectFormatIdentifier fmtid)`
    `static CNodeService` | `getInstance(javax.servlet.http.HttpServletRequest request)` singleton accessor
    `org.dataone.service.types.v1.Log` | `getLogRecords(java.util.Date fromDate, java.util.Date toDate, org.dataone.service.types.v1.Event event, java.lang.String pidFilter, java.lang.Integer start, java.lang.Integer count)`
    `org.dataone.service.types.v1.Log` | `getLogRecords(org.dataone.service.types.v1.Session session, java.util.Date fromDate, java.util.Date toDate, org.dataone.service.types.v1.Event event, java.lang.String pidFilter, java.lang.Integer start, java.lang.Integer count)` Deprecated.
    `org.dataone.service.types.v1_1.QueryEngineDescription` | `getQueryEngineDescription(java.lang.String queryEngine)`
    `org.dataone.service.types.v1.SystemMetadata` | `getSystemMetadata(org.dataone.service.types.v1.Identifier pid)`
    `org.dataone.service.types.v1.SystemMetadata` | `getSystemMetadata(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.Identifier pid)` Deprecated.
    `boolean` | `hasReservation(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.Subject subject, org.dataone.service.types.v1.Identifier pid)` Deprecated.
    `boolean` | `hasReservation(org.dataone.service.types.v1.Subject subject, org.dataone.service.types.v1.Identifier pid)`
    `boolean` | `isAuthorized(org.dataone.service.types.v1.Identifier pid, org.dataone.service.types.v1.Permission permission)`
    `boolean` | `isAuthorized(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.Identifier pid, org.dataone.service.types.v1.Permission permission)` Deprecated.
    `boolean` | `isNodeAuthorized(org.dataone.service.types.v1.Session originatingNodeSession, org.dataone.service.types.v1.Subject targetNodeSubject, org.dataone.service.types.v1.Identifier pid)` Deprecated.
    `boolean` | `isNodeAuthorized(org.dataone.service.types.v1.Subject targetNodeSubject, org.dataone.service.types.v1.Identifier pid)`
    `org.dataone.service.types.v1.ChecksumAlgorithmList` | `listChecksumAlgorithms()`
    `org.dataone.service.types.v1.ObjectFormatList` | `listFormats()`
    `org.dataone.service.types.v1.NodeList` | `listNodes()`
    `org.dataone.service.types.v1.ObjectList` | `listObjects(java.util.Date startTime, java.util.Date endTime, org.dataone.service.types.v1.ObjectFormatIdentifier formatid, java.lang.Boolean replicaStatus, java.lang.Integer start, java.lang.Integer count)`
    `org.dataone.service.types.v1.ObjectList` | `listObjects(org.dataone.service.types.v1.Session session, java.util.Date startTime, java.util.Date endTime, org.dataone.service.types.v1.ObjectFormatIdentifier formatid, java.lang.Boolean replicaStatus, java.lang.Integer start, java.lang.Integer count)` Deprecated.
    `org.dataone.service.types.v1_1.QueryEngineList` | `listQueryEngines()`
    `java.util.Date` | `ping()`
    `java.io.InputStream` | `query(java.lang.String queryEngine, java.lang.String query)`
    `org.dataone.service.types.v1.Identifier` | `registerSystemMetadata(org.dataone.service.types.v1.Identifier pid, org.dataone.service.types.v1.SystemMetadata sysmeta)`
    `org.dataone.service.types.v1.Identifier` | `registerSystemMetadata(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.Identifier pid, org.dataone.service.types.v1.SystemMetadata sysmeta)` Deprecated.
    `org.dataone.service.types.v1.Identifier` | `reserveIdentifier(org.dataone.service.types.v1.Identifier pid)`
    `org.dataone.service.types.v1.Identifier` | `reserveIdentifier(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.Identifier pid)` Deprecated.
    `org.dataone.service.types.v1.ObjectLocationList` | `resolve(org.dataone.service.types.v1.Identifier pid)`
    `org.dataone.service.types.v1.ObjectLocationList` | `resolve(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.Identifier pid)` Deprecated.
    `org.dataone.service.types.v1.ObjectList` | `search(org.dataone.service.types.v1.Session session, java.lang.String queryType, java.lang.String query)` Deprecated.
    `org.dataone.service.types.v1.ObjectList` | `search(java.lang.String queryType, java.lang.String query)`
    `boolean` | `setAccessPolicy(org.dataone.service.types.v1.Identifier pid, org.dataone.service.types.v1.AccessPolicy accessPolicy, long serialVersion)`
    `boolean` | `setAccessPolicy(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.Identifier pid, org.dataone.service.types.v1.AccessPolicy accessPolicy, long serialVersion)` Deprecated.
    `boolean` | `setObsoletedBy(org.dataone.service.types.v1.Identifier pid, org.dataone.service.types.v1.Identifier obsoletedByPid, long serialVersion)`
    `boolean` | `setObsoletedBy(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.Identifier pid, org.dataone.service.types.v1.Identifier obsoletedByPid, long serialVersion)` Deprecated.
    `boolean` | `setReplicationPolicy(org.dataone.service.types.v1.Identifier pid, org.dataone.service.types.v1.ReplicationPolicy policy, long serialVersion)`
    `boolean` | `setReplicationPolicy(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.Identifier pid, org.dataone.service.types.v1.ReplicationPolicy policy, long serialVersion)` Deprecated.
    `boolean` | `setReplicationStatus(org.dataone.service.types.v1.Identifier pid, org.dataone.service.types.v1.NodeReference targetNode, org.dataone.service.types.v1.ReplicationStatus status, org.dataone.service.exceptions.BaseException failure)`
    `boolean` | `setReplicationStatus(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.Identifier pid, org.dataone.service.types.v1.NodeReference targetNode, org.dataone.service.types.v1.ReplicationStatus status, org.dataone.service.exceptions.BaseException failure)` Deprecated.
    `org.dataone.service.types.v1.Identifier` | `setRightsHolder(org.dataone.service.types.v1.Identifier pid, org.dataone.service.types.v1.Subject userId, long serialVersion)`
    `org.dataone.service.types.v1.Identifier` | `setRightsHolder(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.Identifier pid, org.dataone.service.types.v1.Subject userId, long serialVersion)` Deprecated.
    `boolean` | `updateReplicationMetadata(org.dataone.service.types.v1.Identifier pid, org.dataone.service.types.v1.Replica replica, long serialVersion)`
    `boolean` | `updateReplicationMetadata(org.dataone.service.types.v1.Session session, org.dataone.service.types.v1.Identifier pid, org.dataone.service.types.v1.Replica replica, long serialVersion)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static CNodeService getInstance(javax.servlet.http.HttpServletRequest request)

      singleton accessor

    - #### deleteReplicationMetadata

          public boolean deleteReplicationMetadata(org.dataone.service.types.v1.Identifier pid,
                                                   org.dataone.service.types.v1.NodeReference nodeId,
                                                   long serialVersion)
                                            throws org.dataone.service.exceptions.InvalidToken,
                                                   org.dataone.service.exceptions.InvalidRequest,
                                                   org.dataone.service.exceptions.ServiceFailure,
                                                   org.dataone.service.exceptions.NotAuthorized,
                                                   org.dataone.service.exceptions.NotFound,
                                                   org.dataone.service.exceptions.NotImplemented,
                                                   org.dataone.service.exceptions.VersionMismatch

      Specified by:
        `deleteReplicationMetadata` in interface `org.dataone.service.cn.v1.CNReplication`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.VersionMismatch`

    - #### deleteReplicationMetadata

          @Deprecated
          public boolean deleteReplicationMetadata(org.dataone.service.types.v1.Session session,
                                                               org.dataone.service.types.v1.Identifier pid,
                                                               org.dataone.service.types.v1.NodeReference nodeId,
                                                               long serialVersion)
                                                        throws org.dataone.service.exceptions.InvalidToken,
                                                               org.dataone.service.exceptions.InvalidRequest,
                                                               org.dataone.service.exceptions.ServiceFailure,
                                                               org.dataone.service.exceptions.NotAuthorized,
                                                               org.dataone.service.exceptions.NotFound,
                                                               org.dataone.service.exceptions.NotImplemented,
                                                               org.dataone.service.exceptions.VersionMismatch

      Deprecated.
      Specified by:
        `deleteReplicationMetadata` in interface `org.dataone.service.cn.v1.CNReplication`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.VersionMismatch`

    - #### isNodeAuthorized

          public boolean isNodeAuthorized(org.dataone.service.types.v1.Subject targetNodeSubject,
                                          org.dataone.service.types.v1.Identifier pid)
                                   throws org.dataone.service.exceptions.NotImplemented,
                                          org.dataone.service.exceptions.NotAuthorized,
                                          org.dataone.service.exceptions.InvalidToken,
                                          org.dataone.service.exceptions.ServiceFailure,
                                          org.dataone.service.exceptions.NotFound,
                                          org.dataone.service.exceptions.InvalidRequest

      Specified by:
        `isNodeAuthorized` in interface `org.dataone.service.cn.v1.CNReplication`
      Throws:
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.InvalidRequest`

    - #### isNodeAuthorized

          @Deprecated
          public boolean isNodeAuthorized(org.dataone.service.types.v1.Session originatingNodeSession,
                                                      org.dataone.service.types.v1.Subject targetNodeSubject,
                                                      org.dataone.service.types.v1.Identifier pid)
                                               throws org.dataone.service.exceptions.NotImplemented,
                                                      org.dataone.service.exceptions.NotAuthorized,
                                                      org.dataone.service.exceptions.InvalidToken,
                                                      org.dataone.service.exceptions.ServiceFailure,
                                                      org.dataone.service.exceptions.NotFound,
                                                      org.dataone.service.exceptions.InvalidRequest

      Deprecated.
      Specified by:
        `isNodeAuthorized` in interface `org.dataone.service.cn.v1.CNReplication`
      Throws:
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.InvalidRequest`

    - #### setReplicationPolicy

          public boolean setReplicationPolicy(org.dataone.service.types.v1.Identifier pid,
                                              org.dataone.service.types.v1.ReplicationPolicy policy,
                                              long serialVersion)
                                       throws org.dataone.service.exceptions.NotImplemented,
                                              org.dataone.service.exceptions.NotFound,
                                              org.dataone.service.exceptions.NotAuthorized,
                                              org.dataone.service.exceptions.ServiceFailure,
                                              org.dataone.service.exceptions.InvalidRequest,
                                              org.dataone.service.exceptions.InvalidToken,
                                              org.dataone.service.exceptions.VersionMismatch

      Specified by:
        `setReplicationPolicy` in interface `org.dataone.service.cn.v1.CNReplication`
      Throws:
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.VersionMismatch`

    - #### setReplicationPolicy

          @Deprecated
          public boolean setReplicationPolicy(org.dataone.service.types.v1.Session session,
                                                          org.dataone.service.types.v1.Identifier pid,
                                                          org.dataone.service.types.v1.ReplicationPolicy policy,
                                                          long serialVersion)
                                                   throws org.dataone.service.exceptions.NotImplemented,
                                                          org.dataone.service.exceptions.NotFound,
                                                          org.dataone.service.exceptions.NotAuthorized,
                                                          org.dataone.service.exceptions.ServiceFailure,
                                                          org.dataone.service.exceptions.InvalidRequest,
                                                          org.dataone.service.exceptions.InvalidToken,
                                                          org.dataone.service.exceptions.VersionMismatch

      Deprecated.
      Specified by:
        `setReplicationPolicy` in interface `org.dataone.service.cn.v1.CNReplication`
      Throws:
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.VersionMismatch`

    - #### setReplicationStatus

          public boolean setReplicationStatus(org.dataone.service.types.v1.Identifier pid,
                                              org.dataone.service.types.v1.NodeReference targetNode,
                                              org.dataone.service.types.v1.ReplicationStatus status,
                                              org.dataone.service.exceptions.BaseException failure)
                                       throws org.dataone.service.exceptions.ServiceFailure,
                                              org.dataone.service.exceptions.NotImplemented,
                                              org.dataone.service.exceptions.InvalidToken,
                                              org.dataone.service.exceptions.NotAuthorized,
                                              org.dataone.service.exceptions.InvalidRequest,
                                              org.dataone.service.exceptions.NotFound

      Specified by:
        `setReplicationStatus` in interface `org.dataone.service.cn.v1.CNReplication`
      Throws:
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.NotFound`

    - #### setReplicationStatus

          @Deprecated
          public boolean setReplicationStatus(org.dataone.service.types.v1.Session session,
                                                          org.dataone.service.types.v1.Identifier pid,
                                                          org.dataone.service.types.v1.NodeReference targetNode,
                                                          org.dataone.service.types.v1.ReplicationStatus status,
                                                          org.dataone.service.exceptions.BaseException failure)
                                                   throws org.dataone.service.exceptions.ServiceFailure,
                                                          org.dataone.service.exceptions.NotImplemented,
                                                          org.dataone.service.exceptions.InvalidToken,
                                                          org.dataone.service.exceptions.NotAuthorized,
                                                          org.dataone.service.exceptions.InvalidRequest,
                                                          org.dataone.service.exceptions.NotFound

      Deprecated.
      Specified by:
        `setReplicationStatus` in interface `org.dataone.service.cn.v1.CNReplication`
      Throws:
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.NotFound`

    - #### updateReplicationMetadata

          public boolean updateReplicationMetadata(org.dataone.service.types.v1.Identifier pid,
                                                   org.dataone.service.types.v1.Replica replica,
                                                   long serialVersion)
                                            throws org.dataone.service.exceptions.NotImplemented,
                                                   org.dataone.service.exceptions.NotAuthorized,
                                                   org.dataone.service.exceptions.ServiceFailure,
                                                   org.dataone.service.exceptions.NotFound,
                                                   org.dataone.service.exceptions.InvalidRequest,
                                                   org.dataone.service.exceptions.InvalidToken,
                                                   org.dataone.service.exceptions.VersionMismatch

      Specified by:
        `updateReplicationMetadata` in interface `org.dataone.service.cn.v1.CNReplication`
      Throws:
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.VersionMismatch`

    - #### updateReplicationMetadata

          @Deprecated
          public boolean updateReplicationMetadata(org.dataone.service.types.v1.Session session,
                                                               org.dataone.service.types.v1.Identifier pid,
                                                               org.dataone.service.types.v1.Replica replica,
                                                               long serialVersion)
                                                        throws org.dataone.service.exceptions.NotImplemented,
                                                               org.dataone.service.exceptions.NotAuthorized,
                                                               org.dataone.service.exceptions.ServiceFailure,
                                                               org.dataone.service.exceptions.NotFound,
                                                               org.dataone.service.exceptions.InvalidRequest,
                                                               org.dataone.service.exceptions.InvalidToken,
                                                               org.dataone.service.exceptions.VersionMismatch

      Deprecated.
      Specified by:
        `updateReplicationMetadata` in interface `org.dataone.service.cn.v1.CNReplication`
      Throws:
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.VersionMismatch`

    - #### describe

          public org.dataone.service.types.v1.DescribeResponse describe(org.dataone.service.types.v1.Identifier pid)
                                                                 throws org.dataone.service.exceptions.InvalidToken,
                                                                        org.dataone.service.exceptions.NotAuthorized,
                                                                        org.dataone.service.exceptions.NotImplemented,
                                                                        org.dataone.service.exceptions.ServiceFailure,
                                                                        org.dataone.service.exceptions.NotFound

      Specified by:
        `describe` in interface `org.dataone.service.cn.v1.CNRead`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotFound`

    - #### describe

          @Deprecated
          public org.dataone.service.types.v1.DescribeResponse describe(org.dataone.service.types.v1.Session session,
                                                                                    org.dataone.service.types.v1.Identifier pid)
                                                                             throws org.dataone.service.exceptions.InvalidToken,
                                                                                    org.dataone.service.exceptions.NotAuthorized,
                                                                                    org.dataone.service.exceptions.NotImplemented,
                                                                                    org.dataone.service.exceptions.ServiceFailure,
                                                                                    org.dataone.service.exceptions.NotFound

      Deprecated.
      Specified by:
        `describe` in interface `org.dataone.service.cn.v1.CNRead`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotFound`

    - #### get

          public java.io.InputStream get(org.dataone.service.types.v1.Identifier pid)
                                  throws org.dataone.service.exceptions.InvalidToken,
                                         org.dataone.service.exceptions.ServiceFailure,
                                         org.dataone.service.exceptions.NotAuthorized,
                                         org.dataone.service.exceptions.NotFound,
                                         org.dataone.service.exceptions.NotImplemented

      Specified by:
        `get` in interface `org.dataone.service.cn.v1.CNRead`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotImplemented`

    - #### get

          @Deprecated
          public java.io.InputStream get(org.dataone.service.types.v1.Session session,
                                                     org.dataone.service.types.v1.Identifier pid)
                                              throws org.dataone.service.exceptions.InvalidToken,
                                                     org.dataone.service.exceptions.ServiceFailure,
                                                     org.dataone.service.exceptions.NotAuthorized,
                                                     org.dataone.service.exceptions.NotFound,
                                                     org.dataone.service.exceptions.NotImplemented

      Deprecated.
      Specified by:
        `get` in interface `org.dataone.service.cn.v1.CNRead`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotImplemented`

    - #### getChecksum

          public org.dataone.service.types.v1.Checksum getChecksum(org.dataone.service.types.v1.Identifier pid)
                                                            throws org.dataone.service.exceptions.InvalidToken,
                                                                   org.dataone.service.exceptions.ServiceFailure,
                                                                   org.dataone.service.exceptions.NotAuthorized,
                                                                   org.dataone.service.exceptions.NotFound,
                                                                   org.dataone.service.exceptions.NotImplemented

      Specified by:
        `getChecksum` in interface `org.dataone.service.cn.v1.CNRead`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotImplemented`

    - #### getChecksum

          @Deprecated
          public org.dataone.service.types.v1.Checksum getChecksum(org.dataone.service.types.v1.Session session,
                                                                               org.dataone.service.types.v1.Identifier pid)
                                                                        throws org.dataone.service.exceptions.InvalidToken,
                                                                               org.dataone.service.exceptions.ServiceFailure,
                                                                               org.dataone.service.exceptions.NotAuthorized,
                                                                               org.dataone.service.exceptions.NotFound,
                                                                               org.dataone.service.exceptions.NotImplemented

      Deprecated.
      Specified by:
        `getChecksum` in interface `org.dataone.service.cn.v1.CNRead`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotImplemented`

    - #### getQueryEngineDescription

          public org.dataone.service.types.v1_1.QueryEngineDescription getQueryEngineDescription(java.lang.String queryEngine)
                                                                                          throws org.dataone.service.exceptions.InvalidToken,
                                                                                                 org.dataone.service.exceptions.ServiceFailure,
                                                                                                 org.dataone.service.exceptions.NotAuthorized,
                                                                                                 org.dataone.service.exceptions.NotImplemented,
                                                                                                 org.dataone.service.exceptions.NotFound

      Specified by:
        `getQueryEngineDescription` in interface `org.dataone.service.cn.v1.CNRead`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.NotFound`

    - #### getSystemMetadata

          public org.dataone.service.types.v1.SystemMetadata getSystemMetadata(org.dataone.service.types.v1.Identifier pid)
                                                                        throws org.dataone.service.exceptions.InvalidToken,
                                                                               org.dataone.service.exceptions.ServiceFailure,
                                                                               org.dataone.service.exceptions.NotAuthorized,
                                                                               org.dataone.service.exceptions.NotFound,
                                                                               org.dataone.service.exceptions.NotImplemented

      Specified by:
        `getSystemMetadata` in interface `org.dataone.service.cn.v1.CNRead`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotImplemented`

    - #### getSystemMetadata

          @Deprecated
          public org.dataone.service.types.v1.SystemMetadata getSystemMetadata(org.dataone.service.types.v1.Session session,
                                                                                           org.dataone.service.types.v1.Identifier pid)
                                                                                    throws org.dataone.service.exceptions.InvalidToken,
                                                                                           org.dataone.service.exceptions.ServiceFailure,
                                                                                           org.dataone.service.exceptions.NotAuthorized,
                                                                                           org.dataone.service.exceptions.NotFound,
                                                                                           org.dataone.service.exceptions.NotImplemented

      Deprecated.
      Specified by:
        `getSystemMetadata` in interface `org.dataone.service.cn.v1.CNRead`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotImplemented`

    - #### listObjects

          public org.dataone.service.types.v1.ObjectList listObjects(java.util.Date startTime,
                                                                     java.util.Date endTime,
                                                                     org.dataone.service.types.v1.ObjectFormatIdentifier formatid,
                                                                     java.lang.Boolean replicaStatus,
                                                                     java.lang.Integer start,
                                                                     java.lang.Integer count)
                                                              throws org.dataone.service.exceptions.InvalidRequest,
                                                                     org.dataone.service.exceptions.InvalidToken,
                                                                     org.dataone.service.exceptions.NotAuthorized,
                                                                     org.dataone.service.exceptions.NotImplemented,
                                                                     org.dataone.service.exceptions.ServiceFailure

      Specified by:
        `listObjects` in interface `org.dataone.service.cn.v1.CNRead`
      Throws:
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.ServiceFailure`

    - #### listObjects

          @Deprecated
          public org.dataone.service.types.v1.ObjectList listObjects(org.dataone.service.types.v1.Session session,
                                                                                 java.util.Date startTime,
                                                                                 java.util.Date endTime,
                                                                                 org.dataone.service.types.v1.ObjectFormatIdentifier formatid,
                                                                                 java.lang.Boolean replicaStatus,
                                                                                 java.lang.Integer start,
                                                                                 java.lang.Integer count)
                                                                          throws org.dataone.service.exceptions.InvalidRequest,
                                                                                 org.dataone.service.exceptions.InvalidToken,
                                                                                 org.dataone.service.exceptions.NotAuthorized,
                                                                                 org.dataone.service.exceptions.NotImplemented,
                                                                                 org.dataone.service.exceptions.ServiceFailure

      Deprecated.
      Specified by:
        `listObjects` in interface `org.dataone.service.cn.v1.CNRead`
      Throws:
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.ServiceFailure`

    - #### listQueryEngines

          public org.dataone.service.types.v1_1.QueryEngineList listQueryEngines()
                                                                          throws org.dataone.service.exceptions.InvalidToken,
                                                                                 org.dataone.service.exceptions.ServiceFailure,
                                                                                 org.dataone.service.exceptions.NotAuthorized,
                                                                                 org.dataone.service.exceptions.NotImplemented

      Specified by:
        `listQueryEngines` in interface `org.dataone.service.cn.v1.CNRead`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`

    - #### query

          public java.io.InputStream query(java.lang.String queryEngine,
                                           java.lang.String query)
                                    throws org.dataone.service.exceptions.InvalidToken,
                                           org.dataone.service.exceptions.ServiceFailure,
                                           org.dataone.service.exceptions.NotAuthorized,
                                           org.dataone.service.exceptions.InvalidRequest,
                                           org.dataone.service.exceptions.NotImplemented,
                                           org.dataone.service.exceptions.NotFound

      Specified by:
        `query` in interface `org.dataone.service.cn.v1.CNRead`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.NotFound`

    - #### resolve

          public org.dataone.service.types.v1.ObjectLocationList resolve(org.dataone.service.types.v1.Identifier pid)
                                                                  throws org.dataone.service.exceptions.InvalidToken,
                                                                         org.dataone.service.exceptions.ServiceFailure,
                                                                         org.dataone.service.exceptions.NotAuthorized,
                                                                         org.dataone.service.exceptions.NotFound,
                                                                         org.dataone.service.exceptions.NotImplemented

      Specified by:
        `resolve` in interface `org.dataone.service.cn.v1.CNRead`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotImplemented`

    - #### resolve

          @Deprecated
          public org.dataone.service.types.v1.ObjectLocationList resolve(org.dataone.service.types.v1.Session session,
                                                                                     org.dataone.service.types.v1.Identifier pid)
                                                                              throws org.dataone.service.exceptions.InvalidToken,
                                                                                     org.dataone.service.exceptions.ServiceFailure,
                                                                                     org.dataone.service.exceptions.NotAuthorized,
                                                                                     org.dataone.service.exceptions.NotFound,
                                                                                     org.dataone.service.exceptions.NotImplemented

      Deprecated.
      Specified by:
        `resolve` in interface `org.dataone.service.cn.v1.CNRead`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotImplemented`

    - #### search

          public org.dataone.service.types.v1.ObjectList search(java.lang.String queryType,
                                                                java.lang.String query)
                                                         throws org.dataone.service.exceptions.InvalidToken,
                                                                org.dataone.service.exceptions.ServiceFailure,
                                                                org.dataone.service.exceptions.NotAuthorized,
                                                                org.dataone.service.exceptions.InvalidRequest,
                                                                org.dataone.service.exceptions.NotImplemented

      Specified by:
        `search` in interface `org.dataone.service.cn.v1.CNRead`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.NotImplemented`

    - #### search

          @Deprecated
          public org.dataone.service.types.v1.ObjectList search(org.dataone.service.types.v1.Session session,
                                                                            java.lang.String queryType,
                                                                            java.lang.String query)
                                                                     throws org.dataone.service.exceptions.InvalidToken,
                                                                            org.dataone.service.exceptions.ServiceFailure,
                                                                            org.dataone.service.exceptions.NotAuthorized,
                                                                            org.dataone.service.exceptions.InvalidRequest,
                                                                            org.dataone.service.exceptions.NotImplemented

      Deprecated.
      Specified by:
        `search` in interface `org.dataone.service.cn.v1.CNRead`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.NotImplemented`

    - #### archive

          public org.dataone.service.types.v1.Identifier archive(org.dataone.service.types.v1.Identifier pid)
                                                          throws org.dataone.service.exceptions.InvalidToken,
                                                                 org.dataone.service.exceptions.ServiceFailure,
                                                                 org.dataone.service.exceptions.NotAuthorized,
                                                                 org.dataone.service.exceptions.NotFound,
                                                                 org.dataone.service.exceptions.NotImplemented

      Specified by:
        `archive` in interface `org.dataone.service.cn.v1.CNCore`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotImplemented`

    - #### archive

          @Deprecated
          public org.dataone.service.types.v1.Identifier archive(org.dataone.service.types.v1.Session session,
                                                                             org.dataone.service.types.v1.Identifier pid)
                                                                      throws org.dataone.service.exceptions.InvalidToken,
                                                                             org.dataone.service.exceptions.ServiceFailure,
                                                                             org.dataone.service.exceptions.InvalidRequest,
                                                                             org.dataone.service.exceptions.NotAuthorized,
                                                                             org.dataone.service.exceptions.NotFound,
                                                                             org.dataone.service.exceptions.NotImplemented

      Deprecated.
      Specified by:
        `archive` in interface `org.dataone.service.cn.v1.CNCore`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotImplemented`

    - #### create

          public org.dataone.service.types.v1.Identifier create(org.dataone.service.types.v1.Identifier pid,
                                                                java.io.InputStream object,
                                                                org.dataone.service.types.v1.SystemMetadata sysmeta)
                                                         throws org.dataone.service.exceptions.InvalidToken,
                                                                org.dataone.service.exceptions.ServiceFailure,
                                                                org.dataone.service.exceptions.NotAuthorized,
                                                                org.dataone.service.exceptions.IdentifierNotUnique,
                                                                org.dataone.service.exceptions.UnsupportedType,
                                                                org.dataone.service.exceptions.InsufficientResources,
                                                                org.dataone.service.exceptions.InvalidSystemMetadata,
                                                                org.dataone.service.exceptions.NotImplemented,
                                                                org.dataone.service.exceptions.InvalidRequest

      Specified by:
        `create` in interface `org.dataone.service.cn.v1.CNCore`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.IdentifierNotUnique`
        `org.dataone.service.exceptions.UnsupportedType`
        `org.dataone.service.exceptions.InsufficientResources`
        `org.dataone.service.exceptions.InvalidSystemMetadata`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.InvalidRequest`

    - #### create

          @Deprecated
          public org.dataone.service.types.v1.Identifier create(org.dataone.service.types.v1.Session session,
                                                                            org.dataone.service.types.v1.Identifier pid,
                                                                            java.io.InputStream object,
                                                                            org.dataone.service.types.v1.SystemMetadata sysmeta)
                                                                     throws org.dataone.service.exceptions.InvalidToken,
                                                                            org.dataone.service.exceptions.ServiceFailure,
                                                                            org.dataone.service.exceptions.NotAuthorized,
                                                                            org.dataone.service.exceptions.IdentifierNotUnique,
                                                                            org.dataone.service.exceptions.UnsupportedType,
                                                                            org.dataone.service.exceptions.InsufficientResources,
                                                                            org.dataone.service.exceptions.InvalidSystemMetadata,
                                                                            org.dataone.service.exceptions.NotImplemented,
                                                                            org.dataone.service.exceptions.InvalidRequest

      Deprecated.
      Specified by:
        `create` in interface `org.dataone.service.cn.v1.CNCore`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.IdentifierNotUnique`
        `org.dataone.service.exceptions.UnsupportedType`
        `org.dataone.service.exceptions.InsufficientResources`
        `org.dataone.service.exceptions.InvalidSystemMetadata`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.InvalidRequest`

    - #### delete

          public org.dataone.service.types.v1.Identifier delete(org.dataone.service.types.v1.Identifier pid)
                                                         throws org.dataone.service.exceptions.InvalidToken,
                                                                org.dataone.service.exceptions.ServiceFailure,
                                                                org.dataone.service.exceptions.NotAuthorized,
                                                                org.dataone.service.exceptions.NotFound,
                                                                org.dataone.service.exceptions.NotImplemented

      Specified by:
        `delete` in interface `org.dataone.service.cn.v1.CNCore`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotImplemented`

    - #### delete

          @Deprecated
          public org.dataone.service.types.v1.Identifier delete(org.dataone.service.types.v1.Session session,
                                                                            org.dataone.service.types.v1.Identifier pid)
                                                                     throws org.dataone.service.exceptions.InvalidToken,
                                                                            org.dataone.service.exceptions.ServiceFailure,
                                                                            org.dataone.service.exceptions.InvalidRequest,
                                                                            org.dataone.service.exceptions.NotAuthorized,
                                                                            org.dataone.service.exceptions.NotFound,
                                                                            org.dataone.service.exceptions.NotImplemented

      Deprecated.
      Specified by:
        `delete` in interface `org.dataone.service.cn.v1.CNCore`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotImplemented`

    - #### generateIdentifier

          public org.dataone.service.types.v1.Identifier generateIdentifier(java.lang.String scheme,
                                                                            java.lang.String fragment)
                                                                     throws org.dataone.service.exceptions.InvalidToken,
                                                                            org.dataone.service.exceptions.ServiceFailure,
                                                                            org.dataone.service.exceptions.NotAuthorized,
                                                                            org.dataone.service.exceptions.NotImplemented,
                                                                            org.dataone.service.exceptions.InvalidRequest

      Specified by:
        `generateIdentifier` in interface `org.dataone.service.cn.v1.CNCore`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.InvalidRequest`

    - #### generateIdentifier

          @Deprecated
          public org.dataone.service.types.v1.Identifier generateIdentifier(org.dataone.service.types.v1.Session session,
                                                                                        java.lang.String scheme,
                                                                                        java.lang.String fragment)
                                                                                 throws org.dataone.service.exceptions.InvalidToken,
                                                                                        org.dataone.service.exceptions.ServiceFailure,
                                                                                        org.dataone.service.exceptions.NotAuthorized,
                                                                                        org.dataone.service.exceptions.NotImplemented,
                                                                                        org.dataone.service.exceptions.InvalidRequest

      Deprecated.
      Specified by:
        `generateIdentifier` in interface `org.dataone.service.cn.v1.CNCore`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.InvalidRequest`

    - #### getFormat

          public org.dataone.service.types.v1.ObjectFormat getFormat(org.dataone.service.types.v1.ObjectFormatIdentifier fmtid)
                                                              throws org.dataone.service.exceptions.ServiceFailure,
                                                                     org.dataone.service.exceptions.NotFound,
                                                                     org.dataone.service.exceptions.NotImplemented,
                                                                     org.dataone.service.exceptions.InvalidRequest

      Specified by:
        `getFormat` in interface `org.dataone.service.cn.v1.CNCore`
      Throws:
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.InvalidRequest`

    - #### getLogRecords

          public org.dataone.service.types.v1.Log getLogRecords(java.util.Date fromDate,
                                                                java.util.Date toDate,
                                                                org.dataone.service.types.v1.Event event,
                                                                java.lang.String pidFilter,
                                                                java.lang.Integer start,
                                                                java.lang.Integer count)
                                                         throws org.dataone.service.exceptions.InvalidToken,
                                                                org.dataone.service.exceptions.InvalidRequest,
                                                                org.dataone.service.exceptions.ServiceFailure,
                                                                org.dataone.service.exceptions.NotAuthorized,
                                                                org.dataone.service.exceptions.NotImplemented,
                                                                org.dataone.service.exceptions.InsufficientResources

      Specified by:
        `getLogRecords` in interface `org.dataone.service.cn.v1.CNCore`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.InsufficientResources`

    - #### getLogRecords

          @Deprecated
          public org.dataone.service.types.v1.Log getLogRecords(org.dataone.service.types.v1.Session session,
                                                                            java.util.Date fromDate,
                                                                            java.util.Date toDate,
                                                                            org.dataone.service.types.v1.Event event,
                                                                            java.lang.String pidFilter,
                                                                            java.lang.Integer start,
                                                                            java.lang.Integer count)
                                                                     throws org.dataone.service.exceptions.InvalidToken,
                                                                            org.dataone.service.exceptions.InvalidRequest,
                                                                            org.dataone.service.exceptions.ServiceFailure,
                                                                            org.dataone.service.exceptions.NotAuthorized,
                                                                            org.dataone.service.exceptions.NotImplemented,
                                                                            org.dataone.service.exceptions.InsufficientResources

      Deprecated.
      Specified by:
        `getLogRecords` in interface `org.dataone.service.cn.v1.CNCore`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.InsufficientResources`

    - #### hasReservation

          public boolean hasReservation(org.dataone.service.types.v1.Subject subject,
                                        org.dataone.service.types.v1.Identifier pid)
                                 throws org.dataone.service.exceptions.InvalidToken,
                                        org.dataone.service.exceptions.ServiceFailure,
                                        org.dataone.service.exceptions.NotFound,
                                        org.dataone.service.exceptions.NotAuthorized,
                                        org.dataone.service.exceptions.NotImplemented,
                                        org.dataone.service.exceptions.InvalidRequest

      Specified by:
        `hasReservation` in interface `org.dataone.service.cn.v1.CNCore`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.InvalidRequest`

    - #### hasReservation

          @Deprecated
          public boolean hasReservation(org.dataone.service.types.v1.Session session,
                                                    org.dataone.service.types.v1.Subject subject,
                                                    org.dataone.service.types.v1.Identifier pid)
                                             throws org.dataone.service.exceptions.InvalidToken,
                                                    org.dataone.service.exceptions.ServiceFailure,
                                                    org.dataone.service.exceptions.NotFound,
                                                    org.dataone.service.exceptions.NotAuthorized,
                                                    org.dataone.service.exceptions.NotImplemented,
                                                    org.dataone.service.exceptions.InvalidRequest

      Deprecated.
      Specified by:
        `hasReservation` in interface `org.dataone.service.cn.v1.CNCore`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.InvalidRequest`

    - #### listChecksumAlgorithms

          public org.dataone.service.types.v1.ChecksumAlgorithmList listChecksumAlgorithms()
                                                                                    throws org.dataone.service.exceptions.ServiceFailure,
                                                                                           org.dataone.service.exceptions.NotImplemented

      Specified by:
        `listChecksumAlgorithms` in interface `org.dataone.service.cn.v1.CNCore`
      Throws:
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotImplemented`

    - #### listFormats

          public org.dataone.service.types.v1.ObjectFormatList listFormats()
                                                                    throws org.dataone.service.exceptions.ServiceFailure,
                                                                           org.dataone.service.exceptions.NotImplemented

      Specified by:
        `listFormats` in interface `org.dataone.service.cn.v1.CNCore`
      Throws:
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotImplemented`

    - #### listNodes

          public org.dataone.service.types.v1.NodeList listNodes()
                                                          throws org.dataone.service.exceptions.NotImplemented,
                                                                 org.dataone.service.exceptions.ServiceFailure

      Specified by:
        `listNodes` in interface `org.dataone.service.cn.v1.CNCore`
      Throws:
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.ServiceFailure`

    - #### ping

          public java.util.Date ping()
                              throws org.dataone.service.exceptions.NotImplemented,
                                     org.dataone.service.exceptions.ServiceFailure,
                                     org.dataone.service.exceptions.InsufficientResources

      Specified by:
        `ping` in interface `org.dataone.service.cn.v1.CNCore`
      Throws:
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.InsufficientResources`

    - #### registerSystemMetadata

          public org.dataone.service.types.v1.Identifier registerSystemMetadata(org.dataone.service.types.v1.Identifier pid,
                                                                                org.dataone.service.types.v1.SystemMetadata sysmeta)
                                                                         throws org.dataone.service.exceptions.NotImplemented,
                                                                                org.dataone.service.exceptions.NotAuthorized,
                                                                                org.dataone.service.exceptions.ServiceFailure,
                                                                                org.dataone.service.exceptions.InvalidRequest,
                                                                                org.dataone.service.exceptions.InvalidSystemMetadata,
                                                                                org.dataone.service.exceptions.InvalidToken

      Specified by:
        `registerSystemMetadata` in interface `org.dataone.service.cn.v1.CNCore`
      Throws:
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.InvalidSystemMetadata`
        `org.dataone.service.exceptions.InvalidToken`

    - #### registerSystemMetadata

          @Deprecated
          public org.dataone.service.types.v1.Identifier registerSystemMetadata(org.dataone.service.types.v1.Session session,
                                                                                            org.dataone.service.types.v1.Identifier pid,
                                                                                            org.dataone.service.types.v1.SystemMetadata sysmeta)
                                                                                     throws org.dataone.service.exceptions.NotImplemented,
                                                                                            org.dataone.service.exceptions.NotAuthorized,
                                                                                            org.dataone.service.exceptions.ServiceFailure,
                                                                                            org.dataone.service.exceptions.InvalidRequest,
                                                                                            org.dataone.service.exceptions.InvalidSystemMetadata,
                                                                                            org.dataone.service.exceptions.InvalidToken

      Deprecated.
      Specified by:
        `registerSystemMetadata` in interface `org.dataone.service.cn.v1.CNCore`
      Throws:
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.InvalidSystemMetadata`
        `org.dataone.service.exceptions.InvalidToken`

    - #### reserveIdentifier

          public org.dataone.service.types.v1.Identifier reserveIdentifier(org.dataone.service.types.v1.Identifier pid)
                                                                    throws org.dataone.service.exceptions.InvalidToken,
                                                                           org.dataone.service.exceptions.ServiceFailure,
                                                                           org.dataone.service.exceptions.NotAuthorized,
                                                                           org.dataone.service.exceptions.IdentifierNotUnique,
                                                                           org.dataone.service.exceptions.NotImplemented,
                                                                           org.dataone.service.exceptions.InvalidRequest

      Specified by:
        `reserveIdentifier` in interface `org.dataone.service.cn.v1.CNCore`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.IdentifierNotUnique`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.InvalidRequest`

    - #### reserveIdentifier

          @Deprecated
          public org.dataone.service.types.v1.Identifier reserveIdentifier(org.dataone.service.types.v1.Session session,
                                                                                       org.dataone.service.types.v1.Identifier pid)
                                                                                throws org.dataone.service.exceptions.InvalidToken,
                                                                                       org.dataone.service.exceptions.ServiceFailure,
                                                                                       org.dataone.service.exceptions.NotAuthorized,
                                                                                       org.dataone.service.exceptions.IdentifierNotUnique,
                                                                                       org.dataone.service.exceptions.NotImplemented,
                                                                                       org.dataone.service.exceptions.InvalidRequest

      Deprecated.
      Specified by:
        `reserveIdentifier` in interface `org.dataone.service.cn.v1.CNCore`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.IdentifierNotUnique`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.InvalidRequest`

    - #### setObsoletedBy

          public boolean setObsoletedBy(org.dataone.service.types.v1.Identifier pid,
                                        org.dataone.service.types.v1.Identifier obsoletedByPid,
                                        long serialVersion)
                                 throws org.dataone.service.exceptions.NotImplemented,
                                        org.dataone.service.exceptions.NotFound,
                                        org.dataone.service.exceptions.NotAuthorized,
                                        org.dataone.service.exceptions.ServiceFailure,
                                        org.dataone.service.exceptions.InvalidRequest,
                                        org.dataone.service.exceptions.InvalidToken,
                                        org.dataone.service.exceptions.VersionMismatch

      Specified by:
        `setObsoletedBy` in interface `org.dataone.service.cn.v1.CNCore`
      Throws:
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.VersionMismatch`

    - #### setObsoletedBy

          @Deprecated
          public boolean setObsoletedBy(org.dataone.service.types.v1.Session session,
                                                    org.dataone.service.types.v1.Identifier pid,
                                                    org.dataone.service.types.v1.Identifier obsoletedByPid,
                                                    long serialVersion)
                                             throws org.dataone.service.exceptions.NotImplemented,
                                                    org.dataone.service.exceptions.NotFound,
                                                    org.dataone.service.exceptions.NotAuthorized,
                                                    org.dataone.service.exceptions.ServiceFailure,
                                                    org.dataone.service.exceptions.InvalidRequest,
                                                    org.dataone.service.exceptions.InvalidToken,
                                                    org.dataone.service.exceptions.VersionMismatch

      Deprecated.
      Specified by:
        `setObsoletedBy` in interface `org.dataone.service.cn.v1.CNCore`
      Throws:
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.VersionMismatch`

    - #### isAuthorized

          public boolean isAuthorized(org.dataone.service.types.v1.Identifier pid,
                                      org.dataone.service.types.v1.Permission permission)
                               throws org.dataone.service.exceptions.ServiceFailure,
                                      org.dataone.service.exceptions.InvalidToken,
                                      org.dataone.service.exceptions.NotFound,
                                      org.dataone.service.exceptions.NotAuthorized,
                                      org.dataone.service.exceptions.NotImplemented,
                                      org.dataone.service.exceptions.InvalidRequest

      Specified by:
        `isAuthorized` in interface `org.dataone.service.cn.v1.CNAuthorization`
      Throws:
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.InvalidRequest`

    - #### isAuthorized

          @Deprecated
          public boolean isAuthorized(org.dataone.service.types.v1.Session session,
                                                  org.dataone.service.types.v1.Identifier pid,
                                                  org.dataone.service.types.v1.Permission permission)
                                           throws org.dataone.service.exceptions.ServiceFailure,
                                                  org.dataone.service.exceptions.InvalidToken,
                                                  org.dataone.service.exceptions.NotFound,
                                                  org.dataone.service.exceptions.NotAuthorized,
                                                  org.dataone.service.exceptions.NotImplemented,
                                                  org.dataone.service.exceptions.InvalidRequest

      Deprecated.
      Specified by:
        `isAuthorized` in interface `org.dataone.service.cn.v1.CNAuthorization`
      Throws:
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.InvalidRequest`

    - #### setAccessPolicy

          public boolean setAccessPolicy(org.dataone.service.types.v1.Identifier pid,
                                         org.dataone.service.types.v1.AccessPolicy accessPolicy,
                                         long serialVersion)
                                  throws org.dataone.service.exceptions.InvalidToken,
                                         org.dataone.service.exceptions.NotFound,
                                         org.dataone.service.exceptions.NotImplemented,
                                         org.dataone.service.exceptions.NotAuthorized,
                                         org.dataone.service.exceptions.ServiceFailure,
                                         org.dataone.service.exceptions.InvalidRequest,
                                         org.dataone.service.exceptions.VersionMismatch

      Specified by:
        `setAccessPolicy` in interface `org.dataone.service.cn.v1.CNAuthorization`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.VersionMismatch`

    - #### setAccessPolicy

          @Deprecated
          public boolean setAccessPolicy(org.dataone.service.types.v1.Session session,
                                                     org.dataone.service.types.v1.Identifier pid,
                                                     org.dataone.service.types.v1.AccessPolicy accessPolicy,
                                                     long serialVersion)
                                              throws org.dataone.service.exceptions.InvalidToken,
                                                     org.dataone.service.exceptions.NotFound,
                                                     org.dataone.service.exceptions.NotImplemented,
                                                     org.dataone.service.exceptions.NotAuthorized,
                                                     org.dataone.service.exceptions.ServiceFailure,
                                                     org.dataone.service.exceptions.InvalidRequest,
                                                     org.dataone.service.exceptions.VersionMismatch

      Deprecated.
      Specified by:
        `setAccessPolicy` in interface `org.dataone.service.cn.v1.CNAuthorization`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.VersionMismatch`

    - #### setRightsHolder

          public org.dataone.service.types.v1.Identifier setRightsHolder(org.dataone.service.types.v1.Identifier pid,
                                                                         org.dataone.service.types.v1.Subject userId,
                                                                         long serialVersion)
                                                                  throws org.dataone.service.exceptions.InvalidToken,
                                                                         org.dataone.service.exceptions.ServiceFailure,
                                                                         org.dataone.service.exceptions.NotFound,
                                                                         org.dataone.service.exceptions.NotAuthorized,
                                                                         org.dataone.service.exceptions.NotImplemented,
                                                                         org.dataone.service.exceptions.InvalidRequest,
                                                                         org.dataone.service.exceptions.VersionMismatch

      Specified by:
        `setRightsHolder` in interface `org.dataone.service.cn.v1.CNAuthorization`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.VersionMismatch`

    - #### setRightsHolder

          @Deprecated
          public org.dataone.service.types.v1.Identifier setRightsHolder(org.dataone.service.types.v1.Session session,
                                                                                     org.dataone.service.types.v1.Identifier pid,
                                                                                     org.dataone.service.types.v1.Subject userId,
                                                                                     long serialVersion)
                                                                              throws org.dataone.service.exceptions.InvalidToken,
                                                                                     org.dataone.service.exceptions.ServiceFailure,
                                                                                     org.dataone.service.exceptions.NotFound,
                                                                                     org.dataone.service.exceptions.NotAuthorized,
                                                                                     org.dataone.service.exceptions.NotImplemented,
                                                                                     org.dataone.service.exceptions.InvalidRequest,
                                                                                     org.dataone.service.exceptions.VersionMismatch

      Deprecated.
      Specified by:
        `setRightsHolder` in interface `org.dataone.service.cn.v1.CNAuthorization`
      Throws:
        `org.dataone.service.exceptions.InvalidToken`
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotAuthorized`
        `org.dataone.service.exceptions.NotImplemented`
        `org.dataone.service.exceptions.InvalidRequest`
        `org.dataone.service.exceptions.VersionMismatch`

Copyright © 2020 Regents of the University of California. All Rights Reserved.